#pragma once

#define TARGET_FPS          60
#define TILE_SIZE           16
#define PLAYER_WIDTH        12
#define PLAYER_HEIGHT       12
#define MAX_WALK_SPEED      2.0f
#define AIR_ACCELERATION    0.4f
#define GROUND_ACCELERATION 0.4f
#define AIR_FRICTION        (AIR_ACCELERATION / MAX_WALK_SPEED)
#define GROUND_FRICTION     (GROUND_ACCELERATION / MAX_WALK_SPEED)
#define AIR_RESISTANCE      0.01f
#define WATER_RESISTANCE    0.15f
#define GRAVITY             0.3f
#define JUMP_SPEED          -6.0f
#define SWIM_SPEED          -1.6f
#define SWIM_OUT_SPEED      -4.8f
#define JUMP_BREAK          3
#define JUMP_BUFFER         12
#define JUMP_GRACE          6
#define BURN_DEATH          3
#define BOUNCE_SPEED        -2.0f
#define DRAW_OFF_X          -2
#define GRAVS_MARGIN        0
#define MISSILE_MAX_SPEED   4.0f
#define MISSILE_ACCEL       0.06f
#define MISSILE_FRICTION    (MISSILE_ACCEL / MISSILE_MAX_SPEED)
#define MISSILE_COOLDOWN    (TARGET_FPS / 2)
