#pragma once
#include "player.h"
#include "vec.h"

struct Missile {
	int active, cooldown;
	struct VecF spawn, pos, spd;
};

struct MissileManager {
	int n_missiles;
	struct Missile *missiles;
};

void missile_manager_init(void);
void missile_manager_free(void);
void missile_manager_update(struct VecF target);
void missile_manager_draw(void);
void missile_new(int x, int y);
int missile_collide_player(const struct Player *);
